> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.latitude.xyz/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.latitude.xyz/_mcp/server.

# Create a Quote

POST https://api.latitude.xyz/v1/quotes
Content-Type: application/json

Creates a quote that locks exchange rates and fees for 2 minutes

Reference: https://docs.latitude.xyz/api-reference/quotes/post-v-1-quotes

## Request

### Body (application/json)

This endpoint expects a postV1Quotes.

- `financial_account` (PostV1QuotesFinancialAccount, required) — Financial account to receive the transfer
- `payout_method` (string, required) — Method of payout (e.g., ach, pix, spei, wire, upi)
- `destination_currency` (string, required) — The currency code of the destination amount (e.g., COP)
- `source_amount` (string, optional) — The amount to send in source currency
- `destination_amount` (string, optional) — The desired amount to receive in destination currency
- `net_source_amount` (string, optional) — The net amount after fees (fees will be added on top)
- `source_currency` (string, optional, default: usd) — The currency code of the source amount (example: USD)
- `source_type` (enum, optional, default: prefunded) — Type of source account
  - Allowed values: `prefunded`, `deposit`
- `source_network` (string, optional) — The blockchain network for the source currency (e.g., base). Required when source_currency is a stablecoin.

## Response

### 201

Create a Quote

- `id` (string, required) — Unique identifier for the quote
- `source_amount` (string, required) — Amount of the source currency
- `source_currency` (enum, required) — Currency of the source amount
  - Allowed values: `USD`, `USDC`, `PHP`
- `destination_amount` (string, required) — Amount of the destination currency
- `destination_currency` (enum, required) — Currency of the destination amount
  - Allowed values: `MXN`, `COP`, `BRL`, `ARS`, `INR`, `VND`, `PHP`, `EUR`, `GBP`, `SGD`, `USDC`
- `derived_source_amount` (boolean, required) — Whether the source amount is derived from the destination amount
- `exchange_rate` (string, required) — Exchange rate for the quote
- `payout_method` (enum, required) — Method of payout
  - Allowed values: `ach`, `ach_co`, `base`, `bitso`, `cbu_cvu`, `ethereum`, `faster_payments`, `fed_now`, `instapay`, `internal`, `internal_pull`, `local`, `pesonet`, `pix`, `polygon`, `rtp`, `sepa_instant`, `solana`, `spei`, `wire`, `upi`
- `financial_account` (API_V1_Serializers_FinancialAccount, required) — Financial account to receive the transfer
- `recipient_id` (string, required) — Unique identifier for the recipient
- `total_fee` (string, required) — Total fee for the quote
- `fee_currency` (string, required) — Currency of the total fee
- `total_tax` (string, required) — Total tax for the quote
- `tax_currency` (string, required) — Currency of the total tax
- `net_source_amount` (string, required) — Net amount of the source currency after fees
- `expires_at` (string, required) — ISO8601 timestamp when the quote expires
- `created_at` (string, required) — ISO8601 timestamp when the quote was created
- `source_network` (enum, optional) — Blockchain network for the source stablecoin when present
  - Allowed values: `ethereum`, `solana`, `base`, `polygon`

## Types

### PostV1QuotesFinancialAccount

Financial account to receive the transfer

- `id` (string, required) — The public ID of an existing financial account

### API_V1_Serializers_FinancialAccount

API_V1_Serializers_FinancialAccount model

- `id` (string, required) — Unique public identifier for the financial account
- `type` (enum, required) — Type of financial account
  - Allowed values: `pix`, `bank_account`, `digital_wallet`, `upi`, `crypto_wallet`, `ph_qr_code`
- `details` (ApiV1SerializersFinancialAccountDetails, required) — Account-specific details. See [Country-specific details](https://docs.latitude.xyz/integration-guides/country-specific-details)
- `created_at` (string, required) — ISO 8601 timestamp when the account was created
- `updated_at` (string, required) — ISO 8601 timestamp when the account was last updated

### ApiV1SerializersFinancialAccountDetails

Account-specific details. See [Country-specific details](https://docs.latitude.xyz/integration-guides/country-specific-details)

## Examples

**Request**

```json
{
  "financial_account": {
    "id": "string"
  },
  "payout_method": "string",
  "destination_currency": "string"
}
```

**Response**

```json
{
  "id": "string",
  "source_amount": "string",
  "source_currency": "USD",
  "destination_amount": "string",
  "destination_currency": "MXN",
  "derived_source_amount": true,
  "exchange_rate": "string",
  "payout_method": "ach",
  "financial_account": {
    "id": "string",
    "type": "pix",
    "details": {},
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  },
  "recipient_id": "string",
  "total_fee": "string",
  "fee_currency": "string",
  "total_tax": "string",
  "tax_currency": "string",
  "net_source_amount": "string",
  "expires_at": "2024-01-15T09:30:00Z",
  "created_at": "2024-01-15T09:30:00Z",
  "source_network": "ethereum"
}
```

**SDK Code**

```python
import requests

url = "https://api.latitude.xyz/v1/quotes"

payload = {
    "financial_account": { "id": "string" },
    "payout_method": "string",
    "destination_currency": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.latitude.xyz/v1/quotes';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"financial_account":{"id":"string"},"payout_method":"string","destination_currency":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.latitude.xyz/v1/quotes"

	payload := strings.NewReader("{\n  \"financial_account\": {\n    \"id\": \"string\"\n  },\n  \"payout_method\": \"string\",\n  \"destination_currency\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.latitude.xyz/v1/quotes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"financial_account\": {\n    \"id\": \"string\"\n  },\n  \"payout_method\": \"string\",\n  \"destination_currency\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.latitude.xyz/v1/quotes")
  .header("Content-Type", "application/json")
  .body("{\n  \"financial_account\": {\n    \"id\": \"string\"\n  },\n  \"payout_method\": \"string\",\n  \"destination_currency\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.latitude.xyz/v1/quotes', [
  'body' => '{
  "financial_account": {
    "id": "string"
  },
  "payout_method": "string",
  "destination_currency": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.latitude.xyz/v1/quotes");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"financial_account\": {\n    \"id\": \"string\"\n  },\n  \"payout_method\": \"string\",\n  \"destination_currency\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "financial_account": ["id": "string"],
  "payout_method": "string",
  "destination_currency": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.latitude.xyz/v1/quotes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```